import type { Props } from './type';
declare const _default: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "visible-change": (val: boolean) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    "onVisible-change"?: ((val: boolean) => any) | undefined;
}>, {
    type: "video" | "audio";
    mode: "normal" | "view";
    height: string;
    src: string;
    width: string;
    needPreview: boolean;
    playerProps: Omit<import("./player/type").Props, "visible" | "type" | "src">;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
